import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import MoleculeField from '@s-ui/react-molecule-field';
import AtomRadioButton from '@s-ui/react-atom-radio-button';
var BASE_CLASS = 'sui-MoleculeRadioButtonField';

var getErrorState = function getErrorState(_ref) {
  var successText = _ref.successText,
      errorText = _ref.errorText;
  if (successText) return false;
  if (errorText) return true;
};

var MoleculeRadioButtonField = function MoleculeRadioButtonField(_ref2) {
  var id = _ref2.id,
      label = _ref2.label,
      successText = _ref2.successText,
      errorText = _ref2.errorText,
      alertText = _ref2.alertText,
      helpText = _ref2.helpText,
      onChange = _ref2.onChange,
      props = _objectWithoutPropertiesLoose(_ref2, ["id", "label", "successText", "errorText", "alertText", "helpText", "onChange"]);

  var errorState = getErrorState({
    successText: successText,
    errorText: errorText
  });
  return React.createElement("div", {
    className: BASE_CLASS
  }, React.createElement(MoleculeField, {
    name: id,
    label: label,
    successText: successText,
    errorText: errorText,
    alertText: alertText,
    helpText: helpText,
    onChange: onChange,
    inline: true,
    reverse: true
  }, React.createElement(AtomRadioButton, Object.assign({
    id: id,
    errorState: errorState
  }, props))));
};

MoleculeRadioButtonField.displayName = 'MoleculeRadioButtonField';
export default MoleculeRadioButtonField;